declare let batchUpdate: (callback: () => void) => void;
type Obj = Record<string, any>;
type Payload<T> = Partial<T> | ((prevState: T) => Partial<T>);
type Store<T> = {
    (): T;
    (payload: Payload<T>): void;
};
type InitObj<T> = (store: Store<T>) => T;
declare const create: {
    <T extends Obj>(initObj: InitObj<T>): () => T;
    config({ batch }: {
        batch: typeof batchUpdate;
    }): void;
};

export { create as default };
